## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-rstxml2docbook
Version:        0.5.0
Release:        %autorelease
Summary:        RST XML to DocBook XML

# No license information obtained, it's up to the packager to fill it in
License:        BSD-3-Clause
URL:            https://github.com/openSUSE/rstxml2docbook
Source:         %{url}/archive/%{version}/rstxml2docbook-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(tox)

%global _description %{expand:
The script does the following steps:
- Read the intermediate XML files from a previous Sphinx conversion step.
- Resolves any references to external files and create a single XML tree in
memory.
- Transform the tree with XSLT into DocBook and if requested, split it into
several smaller files.
- Output to stdout or save it into one or more file, depending on if splitting
mode is activated.}

%description %_description

%package -n     python3-rstxml2docbook
Summary:        %{summary}

%description -n python3-rstxml2docbook %_description


%prep
%autosetup -n rstxml2docbook-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
#pyproject_save_files -l rstxml2docbook


%check
%tox

%files -n python3-rstxml2docbook -f %{pyproject_files}
%doc README.md
%license LICENSE
%{python3_sitelib}/rstxml2docbook-%{version}.dist-info/
%{python3_sitelib}/rstxml2docbook/

%changelog
## START: Generated by rpmautospec
* Mon Apr 21 2025 John Doe <packager@example.com> - 0.5.0-1
- Uncommitted changes
## END: Generated by rpmautospec
